org.kie.api.definition

## Interface KiePackage

-     public interface KiePackage

  This provides a collection of knowledge definitions that can be given to a `KieBase`. The name is used to provide "namespace" separation of those definitions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<FactType>` | `getFactTypes()` Return the fact types declared in this package The collection is immutable.
    `Collection<String>` | `getFunctionNames()` Return the names of the functions defined in this package.
    `Collection<Global>` | `getGlobalVariables()` Return the names of the globals defined in this package.
    `String` | `getName()`
    `Collection<Process>` | `getProcesses()` Return the process definitions for this package.
    `Collection<Query>` | `getQueries()` Return the query definitions for this package.
    `Collection<Rule>` | `getRules()`

- - ### Method Detail

    - #### getName

          String getName()

      Returns:
        namespace for this package

    - #### getRules

          Collection<Rule> getRules()

      Returns:
        immutable collection of rule definitions for this package.

    - #### getProcesses

          Collection<Process> getProcesses()

      Return the process definitions for this package. The collection is immutable.
      Returns:
        a Collection of Processes for this package.

    - #### getFactTypes

          Collection<FactType> getFactTypes()

      Return the fact types declared in this package The collection is immutable.
      Returns:
        a Collection of FactType for this package

    - #### getQueries

          Collection<Query> getQueries()

      Return the query definitions for this package. The collection is immutable.
      Returns:
        a Collection of Query for this package

    - #### getFunctionNames

          Collection<String> getFunctionNames()

      Return the names of the functions defined in this package. The collection is immutable.
      Returns:
        a Collection of Function names for this package

    - #### getGlobalVariables

          Collection<Global> getGlobalVariables()

      Return the names of the globals defined in this package. The collection is immutable.
      Returns:
        a Collection of Global names for this package

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.